######################################################
SOURCE_ROOT=/home/cs/guest/javagrp/netdesign
TARGET_ROOT=/home/cs/guest/javagrp/.www-docs/classes

PACKAGES=physical:general:network:gui:lp

VPATH=$(SOURCE_ROOT):$(SOURCE_ROOT)/general:$(SOURCE_ROOT)/physical:$(SOURCE_ROOT)/network:$(SOURCE_ROOT)/gui:$(SOURCE_ROOT)/lp:$(SOURCE_ROOT)/lb:$(TARGET_ROOT):$(TARGET_ROOT)/general:$(TARGET_ROOT)/physical:$(TARGET_ROOT)/network:$(TARGET_ROOT)/gui:$(TARGET_ROOT)/lp:$(TARGET_ROOT)/lb
 
JAVAC = javac

JFLAGS = -d $(TARGET_ROOT)
##################################################
%.class : %.java
	$(JAVAC) $(JFLAGS) $<
#	find $(SOURCE_ROOT)/${@D} -name ${@F} -exec rm {} \;
#	ln -s $(TARGET_ROOT)/$@ $(SOURCE_ROOT)/${@D}
##################################################
all: LaunchPad.class \
dOptimizeLowerBound.class \
dEditConstraintsLocal.class \
dEditConstraintsPair.class \
dEditAddConstraint.class \
dNetworkAdjust.class \
dNetworkDescription.class \
dWindowLinks.class \
dWindowSwitches.class \
dWindowConstraints.class \
dOptimizeDistributedRoute.class \
GridBagPanel.class \
dSelectLinks.class \
dLinkCosts.class \
GUIManager.class \
GUICanvas.class \
CalcLinkDimension.class \
CalcNetworkLowerBound.class \
DistributedRoute.class \
ShortestRoute.class \
Network.class \
RemoteTrafficConstraint.class \
CGI.class 

##################################################
solve.class: constant.class lprec.class matrec.class
lprec.class: constant.class


##################################################
Set.class : GenericException.class
GeneralProperties.class : GenericException.class

##################################################
Switch.class: GenericException.class \
	GeneralProperties.class
SwitchSet.class : GeneralProperties.class \
	Set.class
Link.class : GeneralProperties.class \
	Set.class \
	Sortable.class \
	Switch.class
SetPairConstraint.class : SwitchSet.class \
	GeneralProperties.class
CalcNetworkLowerBound.class :
##################################################
#LaunchPad.class : GenericException.class \
#	GUIManager.class
##################################################
##################################################
clean:
	find $(SOURCE_ROOT) -name '*.class' -exec rm {} \;
perm: 
	find $(TARGET_ROOT) -name '*.class' -exec chmod 664 {} \;
##################################################